/* Copyright (C) 2004 Stephane GALLAND <stephane.galland@utbm.fr>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
                                                                               
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   This program is free software; you can redistribute it and/or modify
*/
#ifndef __EW_DISPLAY_H__
#define __EW_DISPLAY_H__

#include <stdio.h>

/** Display a log message.
 *
 * @param file is the output stream
 * @param message
 */
void display(FILE* file, char* message,...) ;

/** Display a log message.
 *
 * @param message
 */
void d_log(char* message,...) ;

/** Display an error message.
 *
 * @param message
 */
void d_error(char* message,...) ;

/** Display a debugging log message.
 *
 * @param message
 */
void d_dbglog(char* message,...) ;

/** Replies the logger.
 *
 * @return the file in which the log messages were sent.
 */
FILE* getLogFlow() ;

/** Replies the error logger.
 *
 * @return the file in which the error messages were sent.
 */
FILE* getErrorFlow() ;

/** Replies the debugging logger.
 *
 * @return the file in which the debugging messages were sent.
 */
FILE* getDbgLogFlow() ;

#endif
